<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\Select;

class TypeSelect extends Select
{
    public static function create($model): static
    {
        return parent::make('type')
            ->label('نوع')
            ->options($model::VALID_TYPES)
            ->searchable()
            ->columnSpan(6);
    }
}
